﻿"""
This module serves as an information container for the Blender add-on

"""
import logging

_data = {}
_materials = []

logger = logging.getLogger("REPORT")

def update(*args, label='general'):
  """Set the elements of the container (overwrite existing info)"""
  logger.debug(label)
  logger.debug("\n".join([arg[0] for arg in args]))
  _data[label] = args

def info(label='general'):
   """Retrieve stored info with the given label
   
   If the label is not present, the empty tuple will be returned.
   """   
   if not label in _data:
    return ()
   else:
    return tuple(_data[label])

def update_materials(response):
  """Set the materials information"""
  _materials[:] = response['materials']
    
def get_materials():
  return _materials